CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.com] problem in v1706

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   July 10, 2017, 10:45
Unhappy problem in v1706
  #1
New Member
 
Rovera Alessandro
Join Date: Nov 2010
Location: Dronero (CN) Piemonte Italy
Posts: 6
Rep Power: 11
teofil is on a distinguished road
I foud touble in openFOAM compilation 1706 about lscotchDecomp. The error is:

/usr/lib64/gcc/x86_64-suse-linux/4.8/../../../../x86_64-suse-linux/bin/ld: cannot find -lscotchDecomp
collect2: error: ld returned 1 exit status
make[2]: *** [/opt/OpenFOAM/OpenFOAM-v1706/platforms/linux64GccDPInt32Opt/bin/foamList] Error 1
make[2]: Leaving directory `/opt/OpenFOAM/OpenFOAM-v1706/applications/utilities/miscellaneous/foamList'
make[1]: *** [foamList] Error 2
make[1]: Leaving directory `/opt/OpenFOAM/OpenFOAM-v1706/applications/utilities/miscellaneous'
make: *** [miscellaneous] Error 2

anyone have some suggestion?
My gcc version is 4.8.1. Is it good or I must upgade it?
My Linux distro is suse.

Many thanks, Alex
teofil is offline   Reply With Quote

Old   July 10, 2017, 17:37
Default
  #2
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,956
Blog Entries: 43
Rep Power: 122
wyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to all
Greetings teofil,

GCC 4.8.1 should work without problems.

A few questions:
  1. Which installation instructions are you following?
  2. Do you know which Scotch version you are using in this installation?
    • Namely if it's the one provided with OpenFOAM v1706 or the one in your SUSE installation?
  3. If you can tell us, which specific SUSE version do you have installed?
Best regards,
Bruno
__________________
wyldckat is offline   Reply With Quote

Old   July 11, 2017, 05:05
Default
  #3
Senior Member
 
Mark Olesen
Join Date: Mar 2009
Location: http://olesenm.github.io/
Posts: 928
Rep Power: 26
olesen will become famous soon enougholesen will become famous soon enough
Assuming you are using the OpenFOAM ThirdParty packs, the next thing to check is your mpi. If this is not being found, the ptscotch and other bits may not be built correctly.

By default OpenFOAM uses a system OpenMPI. Even if you have it installed (eg, via rpm or zypper) on OpenSuSE you may still need to use "mpi-selector" to activate it. Once it is activated, you'll generally need a new shell to have it take effect.

Let us know what how you manage. BTW: I use OpenSuSE Leap 42.2 with system openmpi. The only issue that I experience is that the library appears to have been compiled with IB support, so I get some warnings about them not being available.

/mark
olesen is offline   Reply With Quote

Old   July 11, 2017, 05:59
Default installation data
  #4
New Member
 
Rovera Alessandro
Join Date: Nov 2010
Location: Dronero (CN) Piemonte Italy
Posts: 6
Rep Power: 11
teofil is on a distinguished road
you are right these are important things:

1) I simply sourced .../etc/bashrc and exec ./Allwmake from openFOAM dir
2) scotch version: 6.0.4
3) openSUSE version 13.1
teofil is offline   Reply With Quote

Old   July 11, 2017, 06:03
Default openMPI
  #5
New Member
 
Rovera Alessandro
Join Date: Nov 2010
Location: Dronero (CN) Piemonte Italy
Posts: 6
Rep Power: 11
teofil is on a distinguished road
I have an old version of openMPI. Currently 1.10.2
I will update it to 2.1.1 and I let you know...
teofil is offline   Reply With Quote

Old   July 12, 2017, 10:58
Default
  #6
New Member
 
Rovera Alessandro
Join Date: Nov 2010
Location: Dronero (CN) Piemonte Italy
Posts: 6
Rep Power: 11
teofil is on a distinguished road
I upgradet opnempi to the version 2.1.1

I set via mip-selector and the query said:

droCAE:/opt/OpenFOAM/OpenFOAM-v1706 # mpi-selector --query
defaultpenmpi-1.7.2
level:user
droCAE:/opt/OpenFOAM/OpenFOAM-v1706 #

but the OF installation still end up with the same error on lscotchDecomp!!!

Need help please...
teofil is offline   Reply With Quote

Old   July 13, 2017, 03:42
Default problem with foamList
  #7
New Member
 
Rovera Alessandro
Join Date: Nov 2010
Location: Dronero (CN) Piemonte Italy
Posts: 6
Rep Power: 11
teofil is on a distinguished road
I removed the:

-lscotchDecomp \

from the options file of the foamList application.

Now the compilation skipped the error but I think I will not have the scotch decomp avaible.

How is possible to told to OF installation where to found che lscotchDecomp?
teofil is offline   Reply With Quote

Reply

Tags
error, installation

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
UDF compiling problem Wouter Fluent UDF and Scheme Programming 6 June 6, 2012 04:43
Gambit - meshing over airfoil wrapping (?) problem JFDC FLUENT 1 July 11, 2011 05:59
natural convection problem for a CHT problem Se-Hee CFX 2 June 10, 2007 06:29
Adiabatic and Rotating wall (Convection problem) ParodDav CFX 5 April 29, 2007 19:13
Is this problem well posed? Thomas P. Abraham Main CFD Forum 5 September 8, 1999 14:52


All times are GMT -4. The time now is 21:09.